/* This file is part of Indico.
 * Copyright (C) 2002 - 2015 European Organization for Nuclear Research (CERN).
 *
 * Indico is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * Indico is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Indico; if not, see <http://www.gnu.org/licenses/>.
 */

@import 'base';
@import "partials/icons";

.static-sites {
    width: 650px;
    .i-table-widget {
        border: 0;
        // date
        th:nth-child(2),
        td:nth-child(2),
        // download
        th:nth-child(4),
        td:nth-child(4) {
            text-align: center;
        }
        // date
        td:nth-child(2) {
            color: $dark-gray;
        }
        // status
        th:nth-child(3),
        td:nth-child(3) {
            text-align: center;
            .i-label {
                width: 100%;
            }
        }
    }
}

.reminders {
    width: 650px;
}


// ============================================================================
// Log tables
// ============================================================================

.log-table.i-table {
    tr.log-realm-emails td.log-icon i.log-realm { @include icon-before('icon-mail'); }
    tr.log-realm-event td.log-icon i.log-realm { @include icon-before('icon-time'); }
    tr.log-realm-reviewing td.log-icon i.log-realm { @include icon-before('icon-user-reading'); }
    tr.log-realm-participants td.log-icon i.log-realm { @include icon-before('icon-users'); }
    tr.log-realm-management td.log-icon i.log-realm { @include icon-before('icon-medal'); }

    tr.log-kind-positive td.log-icon i.log-kind { color: $green; }
    tr.log-kind-negative td.log-icon i.log-kind { color: $red; }
    tr.log-kind-change td.log-icon i.log-kind { color: $blue; }
    tr.log-kind-other td.log-icon i.log-kind { display: none; }

    td.log-icon {
        color: $dark-gray;
        font-size: 1.2em;
        position: relative;
        width: 30px;

        i.log-kind {
            color: $blue;
            font-size: 0.7em;
            position: absolute;
            right: 3px;
            top: 1px;
        }
    }


    td.log-caption {
        width: 175px;
    }

    td.log-module {
        font-weight: bold;
        width: 150px;
    }

    td.log-subject {
        width: auto;
    }

    td.log-stamp {
        text-align: right;
        text-overflow: clip;
        width: 230px;

        span.user-name {
           display: inline-block;
           max-width: 120px;
           overflow: hidden;
           text-overflow: ellipsis;
           vertical-align: bottom;
        }
    }
}
